> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/classic-tokenization/es/casos-de-uso/alta-de-tarjeta/gestionar-fallos-de-alta.md).

# Gestionar fallos de alta

La inscripción puede fallar después de que el usuario final comience a aprovisionar una tarjeta.

Cuando esto ocurre, el solicitante del token (proveedor de monedero) o la red de pago **TSP** puede eliminar el token.

### Lo que recibe el backend del emisor

El Servicio de Tokenización notifica al **backend del emisor** usando `notifyVirtualCardChange`.

Para fallos de inscripción que resultan en la eliminación del token, `acción` es típicamente:

* `ELIMINAR` (token eliminado en la red de pago TSP)
* `ELIMINAR_DE_LA_APP` (token eliminado en la aplicación del monedero, **MDES** solo)

`notifyVirtualCardChange` también incluye:

* `x-correlation-id` (encabezado HTTP) para vincular la sesión de inscripción.
* `virtualCardId` y `issuerCardRefId` para identificar el token y la tarjeta.
* `origen` para indicar quién inició el cambio (`MONEDERO`, `TSP`, o `EMISOR`).

<details>

<summary>Ejemplo de cuerpo de solicitud (simplificado)</summary>

```json
{
  "issuerCardRefId": "string",
  "virtualCardId": "string",
  "walletProviderId": "APPLE_PAY",
  "isPrimary": true,
  "action": "DELETE",
  "source": "TSP"
}
```

</details>

### Cómo manejar los fallos de inscripción

Manejar `notifyVirtualCardChange` de forma idempotente. Puede recibir duplicados o callbacks tardíos.

Cuando `acción` indica eliminación:

1. Marcar el token como eliminado en el backend del emisor.
2. Detener cualquier autenticación de escalado pendiente para esta inscripción.
3. Permitir que el usuario final reinicie la inscripción.

{% hint style="info" %}
`notifyVirtualCardChange` se utiliza para más que fallos de inscripción. También se usa para cambios de estado como `ACTIVAR`, `SUSPENDER`, y `REANUDAR`.
{% endhint %}

### Documentación relacionada

* [Actualización del estado del token por el monedero](/classic-tokenization/es/casos-de-uso/posalta/gestion-del-ciclo-de-vida-del-token/actualizar-el-estado-del-token-desde-el-proveedor-de-la-billetera.md)
* [Saliente (hacia el emisor)](/classic-tokenization/es/referencia-de-la-api/api-de-la-pasarela-del-emisor/salida-al-emisor.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/classic-tokenization/es/casos-de-uso/alta-de-tarjeta/gestionar-fallos-de-alta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
